package seng302;

/**
 * Graph Coordinate that is to be displayed on the Canvas
 * Created by cbt24 on 15/03/17.
 */
public class GraphCoordinate {
    private final int x;
    private final int y;

    /**
     * Constructor method.
     *
     * @param x X coordinate.
     * @param y Y coordinate.
     */
    public GraphCoordinate(int x, int y) {
        this.x = x;
        this.y = y;
    }

    /**
     * Returns the X coordinate.
     *
     * @return x axis Coordinate.
     */
    public int getX() {
        return x;
    }

    /**
     * Returns the Y coordinate.
     *
     * @return y axis Coordinate.
     */
    public int getY() {
        return y;
    }

}
